Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRSubreport

All Superinterfaces:
  java.lang.Cloneable, JRChild, JRCloneable, JRCommonElement, JRElement, JRPropertiesHolder, JRStyleContainer, JRVisitable

All Known Implementing Classes:
  FillTableSubreport, JRBaseSubreport, JRDesignSubreport, JRFillSubreport, TableSubreport

    public interface JRSubreport

extends JRElement

Version:
  $Id: JRSubreport.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from interface net.sf.jasperreports.engine.JRElement
`MODE_OPAQUE, MODE_TRANSPARENT, POSITION_TYPE_FIX_RELATIVE_TO_BOTTOM, POSITION_TYPE_FIX_RELATIVE_TO_TOP, POSITION_TYPE_FLOAT, STRETCH_TYPE_NO_STRETCH, STRETCH_TYPE_RELATIVE_TO_BAND_HEIGHT, STRETCH_TYPE_RELATIVE_TO_TALLEST_OBJECT`

Method Summary
`JRExpression` | `getConnectionExpression()`
`JRExpression` | `getDataSourceExpression()`
`JRExpression` | `getExpression()`
`JRSubreportParameter[]` | `getParameters()`
`JRExpression` | `getParametersMapExpression()`
`JRSubreportReturnValue[]` | `getReturnValues()` Returns the list of subreport copied values.
`java.lang.Boolean` | `isOwnUsingCache()` Indicates if the engine is loading the current subreport from cache.
`java.lang.Boolean` | `isRunToBottom()` Specifies whether the subreport element will consume the entire vertical space available on the report page.
`boolean` | `isUsingCache()` Indicates if the engine is loading the current subreport from cache.
`void` | `setRunToBottom(java.lang.Boolean runToBottom)` Sets the flag that Specifies whether the subreport element will consume the entire vertical space available on the report page.
`void` | `setUsingCache(boolean isUsingCache)` Deprecated. use `setUsingCache(Boolean)` instead.
`void` | `setUsingCache(java.lang.Boolean isUsingCache)` Specifies if the engine should be loading the current subreport from cache.

Methods inherited from interface net.sf.jasperreports.engine.JRElement
`collectExpressions, getElementGroup, getKey, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchType, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setStretchType, setWidth, setX`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRVisitable
`visit`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getHeight, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Method Detail

### isUsingCache

    boolean isUsingCache()

  Indicates if the engine is loading the current subreport from cache. Implementations of this method rely on default values that depend on the type of the subreport expression if a value was not explicitly set of this flag.

  Returns:
    true if the subreport should be loaded from cache, false otherwise

### setUsingCache

    void setUsingCache(boolean isUsingCache)

  Deprecated. use `setUsingCache(Boolean)` instead.

  Specifies if the engine should be loading the current subreport from cache. If set to true, the reporting engine will try to recognize previously loaded subreports using their specified source. For example, it will recognize a subreport if the subreport source is a file name that it has already loaded, or if it is the same URL.

  For subreports that have expressions returning `java.lang.String` objects as the subreport source, representing file names, URLs or classpath resources, the default value for this flag is true.

### getParametersMapExpression

    JRExpression getParametersMapExpression()

### getParameters

    JRSubreportParameter[] getParameters()

### getConnectionExpression

    JRExpression getConnectionExpression()

### getDataSourceExpression

    JRExpression getDataSourceExpression()

### getExpression

    JRExpression getExpression()

### getReturnValues

    JRSubreportReturnValue[] getReturnValues()

  Returns the list of subreport copied values.

  Returns:
    the list of subreport copied values.

### isOwnUsingCache

    java.lang.Boolean isOwnUsingCache()

  Indicates if the engine is loading the current subreport from cache. Implementations of this method return the actual value for the internal flag that was explicitly set on this subreport.

  Returns:
    Boolean.TRUE if the subreport should be loaded from cache, Boolean.FALSE otherwise or null in case the flag was never explicitly set on this subreport element

### setUsingCache

    void setUsingCache(java.lang.Boolean isUsingCache)

  Specifies if the engine should be loading the current subreport from cache. If set to Boolean.TRUE, the reporting engine will try to recognize previously loaded subreports using their specified source. For example, it will recognize an subreport if the subreport source is a file name that it has already loaded, or if it is the same URL.

  If set to null, the engine will rely on some default value which depends on the type of the subreport expression. The cache is turned on by default only for subreports that have `java.lang.String` objects in their expressions.

### isRunToBottom

    java.lang.Boolean isRunToBottom()

  Specifies whether the subreport element will consume the entire vertical space available on the report page.

  Returns:
    whether the subreport element will consume the entire space down to the bottom of the page
  See Also:
    `setRunToBottom(Boolean)`

### setRunToBottom

    void setRunToBottom(java.lang.Boolean runToBottom)

  Sets the flag that Specifies whether the subreport element will consume the entire vertical space available on the report page.

  This flag should be set to `true` if the subreport needs to always print its column and page footers at the bottom of the report page, even when the subreport data does not stretch to the bottom.

  Note that when `isFloatColumnFooter` is set for the subreport, the column footers will not be printed at the bottom of the page even if this flag is set.

  Parameters:
    `runToBottom` - whether the subreport element will consume the entire space down to the bottom of the page

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com